ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ravindra Mandre <raviof...@gmail.com>
Subject Re: OFBiz BIRT compatible report development toolchain
Date Tue, 29 Nov 2011 17:16:45 GMT
Nice workaround , I have not tried it.
Thanks for sharing .



Ravindra Mandre

On Mon, Nov 28, 2011 at 11:46 PM, Bruno Busco <bruno.busco@gmail.com> wrote:

> Thank you for your suggestion.
> I will switch to the Eclipse Galileo.
>
> At the moment, with the INDINGO release, I found a work around that
> consists in replacing the version property in the report tag in the
> .rptdesign file as follows:
>
> change the file generated by INDINGO eclipse
> <report xmlns="http://www.eclipse.org/birt/2005/design" version="3.2.22"
> id="1">
> with the following
> <report xmlns="http://www.eclipse.org/birt/2005/design" version="3.2.15"
> id="1">
>
> This seems to work so far.
>
> -Bruno
>
>
> 2011/11/27 Ravindra Mandre <raviofbiz@gmail.com>
>
> > I worked in 2.5 version using galileo and it works like charm.
> > i also tried to install INDIGO , it was giving some error (not remembered
> > :(   )
> > so switched back to galileo .
> >
> >
> > Ravindra Mandre
> >
> >
> >
> > On Sun, Nov 27, 2011 at 2:05 AM, BJ Freeman <bjfree@free-man.net> wrote:
> >
> > > have you followed the example file.
> > > in ofbiz you must call the file through the contoller view
> > >
> > > Bruno Busco sent the following on 11/26/2011 5:34 AM:
> > > > Hi,
> > > > I am trying to write some OFBiz report using BIRT.
> > > > I installed the INDINGO release of Eclipse and then the BIRT package.
> > > >
> > > > The version of the BIRT package I got is 3.7.1 but the rtpdesign
> files
> > > > generated with this tool does not seem to be compatible with the BIRT
> > > > engine that is embedded into OFBiz (version 2.6).
> > > >
> > > > I got this error when I simply open and save again one of the OFBiz
> > OOTB
> > > > provided .rptdesign files.
> > > >
> > > > ------------------------------------------
> > > > Nov 26, 2011 2:12:39 PM
> > > > org.eclipse.birt.report.engine.api.impl.ReportEngineHelper
> > > > getReportDesignHandle
> > > > SEVERE: invalid design file <stream>
> > > > ------------------------------------------
> > > >
> > > > I tryed to install an older BIRT package into Eclipse INDINGO but the
> > > > oldest available to install is version 3.7.0 whish I guess would give
> > the
> > > > same problem.
> > > >
> > > > Has anybody any advice to solve the problem?
> > > > What is the OFBiz BIRT compatible report development toolchain ?
> > > >
> > > > Thank you,
> > > > Bruno Busco
> > > >
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message